Manuel PHP
Précédent | Annexe B. Migration de PHP 3.0 à PHP 4.0 | Suivant

# Utiliser PHP 3 et PHP 4 simultanément

Les systèmes d'exploitation récents disposent de capacités de versioning et de scoping. Ces fonctionnalités rendent possible l'installation de PHP 3 et PHP 4 comme modules Apache, simultanément.

Ceci a été fait sur les plate-formes suivantes :

- Linux avec les binutils récents (testé avec binutils 2.9.1.0.25)

- Solaris 2.5 ou plus récent

- FreeBSD (testé avec 3.2, 4.0)

Pour l'activer, configurez PHP 3 et PHP 4 pour qu'ils utilisent APXS (`--with-apxs`) et les extensions nécessaires (`--enable-versioning`). En dehors de cela, toutes les instructions d'installation habituelles s'appliquent. Par exemple :

    $ ./configure \
      --with-apxs=/apache/bin/apxs \
      --enable-versioning \
      --with-mysql \
      --enable-track-vars

Précédent | Sommaire | Suivant
Migration de PHP 3.0 à PHP 4.0 | Niveau supérieur | Migration des fichiers de configuration